package org.project.item.consumables;

import org.project.item.Item;

public abstract class Consumable implements Item {
    protected String name;
    protected int healingPercent;

    public Consumable(String name) {
        this.name = name;
    }

    public Consumable(String name, int healingPercent) {
        this(name);
        this.healingPercent = healingPercent;
    }

    public String getName() {
        return name;
    }

    public int getHealingPercent() {
        return healingPercent;
    }

    @Override
    public abstract void use(org.project.entity.Entity target);
}